com.hazelcast.concurrent.atomiclong.operations

## Class AbstractAlterOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.concurrent.atomiclong.operations.AbstractAtomicLongOperation
    - - com.hazelcast.concurrent.atomiclong.operations.AtomicLongBackupAwareOperation
      - - com.hazelcast.concurrent.atomiclong.operations.AbstractAlterOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, BackupAwareOperation, com.hazelcast.spi.impl.MutatingOperation, NamedOperation, PartitionAwareOperation
  Direct Known Subclasses:
    AlterAndGetOperation, AlterOperation, GetAndAlterOperation

      public abstract class AbstractAlterOperation
      extends AtomicLongBackupAwareOperation
      implements com.hazelcast.spi.impl.MutatingOperation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `backup`
    `protected IFunction<Long,Long>` | `function`
    `protected long` | `response`

    - ### Fields inherited from class com.hazelcast.concurrent.atomiclong.operations.AtomicLongBackupAwareOperation

      `shouldBackup`

    - ### Fields inherited from class com.hazelcast.concurrent.atomiclong.operations.AbstractAtomicLongOperation

      `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAlterOperation()`
    `AbstractAlterOperation(String name, IFunction<Long,Long> function)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operation` | `getBackupOperation()` Creates the `BackupOperation` responsible for making the backup.
    `Object` | `getResponse()` Called if and only if `Operation.returnsResponse()` returned `true`, shortly after `Operation.run()` returns.
    `protected void` | `readInternal(ObjectDataInput in)`
    `protected void` | `writeInternal(ObjectDataOutput out)`

    - ### Methods inherited from class com.hazelcast.concurrent.atomiclong.operations.AtomicLongBackupAwareOperation

      `getAsyncBackupCount, getSyncBackupCount, shouldBackup`

    - ### Methods inherited from class com.hazelcast.concurrent.atomiclong.operations.AbstractAtomicLongOperation

      `getFactoryId, getLongContainer, getName, getServiceName, toString`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, returnsResponse, run, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Field Detail

    - #### function

          protected IFunction<Long,Long> function

    - #### response

          protected long response

    - #### backup

          protected long backup

  - ### Constructor Detail

    - #### AbstractAlterOperation

          public AbstractAlterOperation()

    - #### AbstractAlterOperation

          public AbstractAlterOperation(String name,
                                        IFunction<Long,Long> function)

  - ### Method Detail

    - #### getResponse

          public Object getResponse()

      Description copied from class: `Operation`
      Called if and only if `Operation.returnsResponse()` returned `true`, shortly after `Operation.run()` returns.
      Overrides:
        `getResponse` in class `Operation`

    - #### getBackupOperation

          public Operation getBackupOperation()

      Description copied from interface: `BackupAwareOperation`
      Creates the `BackupOperation` responsible for making the backup.
      Specified by:
        `getBackupOperation` in interface `BackupAwareOperation`
      Returns:
        the created `BackupOperation` responsible for making the backup.

    - #### writeInternal

          protected void writeInternal(ObjectDataOutput out)
                                throws IOException

      Overrides:
        `writeInternal` in class `AbstractAtomicLongOperation`
      Throws:
        `IOException`

    - #### readInternal

          protected void readInternal(ObjectDataInput in)
                               throws IOException

      Overrides:
        `readInternal` in class `AbstractAtomicLongOperation`
      Throws:
        `IOException`

Copyright © 2018. All rights reserved.